<tr class="text" onmouseover="className='text-hi';" onmouseout="className='text';">
  <td>
    <b>
        <?php
            echo Horde::link(Horde::applicationUrl(Util::addParameter($viewurl, array('project_id' => $project['project_id'], 'page' => $page) )), htmlspecialchars($project['project_name'])) . htmlspecialchars($project['project_name']);
        ?></a></b>
  </td>
  <td >
    <?php
        $all = Text_Filter::filter($project['project_description'], 'bbcode');
        $all = wordwrap($all, 70, "\n");
        $summary = split("\n", $all);
        $line = 0;
        $total_lines = count($summary);
        while ($line < 3 && $line < $total_lines) {
            echo $summary[$line];
            if ($line == 2 && $total_lines > 3) {
                echo ' <span align="right">[...]</span>';
            } else {
                echo "<br />";
            }
            $line++;
        }
    ?>
  </td>
  <td align="left">
    <?php echo $project['project_coordinator_id']; ?>
  </td>
  <td align="left" nowrap="nowrap">
    <?php echo strftime($prefs->getValue('date_format'), $project['project_creation_date']); ?>
  </td>
  <td align="left" nowrap="nowrap">
    <?php echo strftime($prefs->getValue('date_format'), $project['project_last_modified']); ?>
  </td>
  <td align="center" nowrap="nowrap">
    <?php
        $baseUrl = Util::addParameter(Horde::applicationUrl('admin.php', true),
                                        array('project_id' => $project['project_id'],
                                              'sortby' => $projects_sortby,
                                              'sortdir' => $projects_sortdir,
                                              'status' => $status ));

        $deleteUrl = Util::addParameter($baseUrl, 'actionID', DELETE_PROJECT);
        $deleteImage = Horde::img('delete.png', _("Delete Project"), 'hspace="2"', $registry->getImageDir('horde'));
        if ($project['project_status'] == THOR_STATUS_ACTIVE) {
            $blockUrl = Util::addParameter($baseUrl, 'actionID', BLOCK_PROJECT);
            $blockImage = Horde::img('locked.png', _("Block Project"), 'hspace="2"', $registry->getImageDir('horde'));
            echo Horde::link($blockUrl, _("Block Project")) . $blockImage . '</a>';
            echo Horde::link($deleteUrl, _("Delete Project")) . $deleteImage . '</a>';
        } elseif ($project['project_status'] == THOR_STATUS_BLOCKED) {
            $unblockUrl = Util::addParameter($baseUrl, 'actionID', UNBLOCK_PROJECT);
            $unblockImage = Horde::img('unlocked.png', _("Unblock Project"), 'hspace="2"', $registry->getImageDir('horde'));
            echo Horde::link($unblockUrl, _("Unblock Project")) . $unblockImage . '</a>';
            echo Horde::link($deleteUrl, _("Delete Project")) . $deleteImage . '</a>';
        } else {
            $acceptUrl = Util::addParameter($baseUrl, 'actionID', ACCEPT_PROJECT);
            $acceptImage = Horde::img('tick.png', _("Accept Project"), 'hspace="2"', $registry->getImageDir('horde'));
            echo Horde::link($acceptUrl, _("Accept Project")) . $acceptImage . '</a>';
            $refuseUrl = Util::addParameter($baseUrl, 'actionID', REFUSE_PROJECT);
            $refuseImage = Horde::img('cross.png', _("Refuse Project"), 'hspace="2"', $registry->getImageDir('horde'));
            echo Horde::link($refuseUrl, _("Refuse Project")) . $refuseImage . '</a>';
        }
    ?>
  </td>
</tr>
