<tr class="text" onmouseover="className='text-hi';" onmouseout="className='text';">
  <td align="center">
    <?php 
        $baseParams = array('project_id' => $item['project_id'], 'item_id' => $item['item_id']);
        $kinds = $thor->getItemKinds();
        $kind = $kinds[$item['item_kind']];
        echo Horde::img($kind['icon'], $kind['name'], null, $kind['icon_path']);
    ?>
  </td>
  <td> 
    <b>
        <?php
            $viewUrl = Util::addParameter(Horde::applicationUrl('view_item.php', true), $baseParams);
            echo Horde::link($viewUrl , htmlspecialchars($item['item_name'])) . htmlspecialchars($item['item_name']); 
        ?></a></b>
  </td>
  <td >
    <?php 
        $all = Text_Filter::filter($item['item_description'], 'bbcode');
        $all = wordwrap($all, 90, "\n");
        $summary = split("\n", $all);
        $line = 0;
        $total_lines = count($summary);
        while ($line < 3 && $line < $total_lines) {
            echo $summary[$line];
            if ($line == 2 && $total_lines > 3) {
                echo ' <span align="right">[...]</span>';
            } else {
                echo "<br />";
            }
            $line++;
        }
    ?>
  </td>
  <td align="left" nowrap="nowrap">
    <?php echo strftime($prefs->getValue('date_format'), $item['item_last_modified']); ?>
  </td>
  <?php if ($this->isUserOfKind(Auth::getAuth(), USERS_ADMINS)) : ?>
  <td align="center" nowrap="nowrap">
    <?php 
        $baseUrl = Util::addParameter(Horde::applicationUrl('item.php', true), $baseParams);     
        $deleteUrl = Util::addParameter($baseUrl, 'actionID', DELETE_ITEM);
        $deleteImage = Horde::img('delete.png', _("Delete Item"), 'hspace="2"', $registry->getImageDir('horde'));
        if (!empty($item['item_write_protected'])) {
            $delProtectUrl = Util::addParameter($baseUrl, 'actionID', UNSET_WRITE_PROTECTED);
            $delProtectImage = Horde::img('unlocked.png', _("Unset write protection"), 'hspace="2"', $registry->getImageDir('horde'));
            echo Horde::link($delProtectUrl, _("Unset write protection")) . $delProtectImage . '</a>';
        } else {
            $setProtectUrl = Util::addParameter($baseUrl, 'actionID', SET_WRITE_PROTECTED);
            $setProtectImage = Horde::img('locked.png', _("Set write protection"), 'hspace="2"', $registry->getImageDir('horde'));
            echo Horde::link($setProtectUrl, _("Set write protection")) . $setProtectImage . '</a>';
        }
        $deleteUrl = Util::addParameter($baseUrl, 'actionID', DELETE_ITEM);
        $deleteImage = Horde::img('delete.png', _("Delete Item"), 'hspace="2"', $registry->getImageDir('horde'));
        echo Horde::link($deleteUrl, _("Delete Item")) . $deleteImage . '</a>';
    ?>
  </td>
  <?php endif; ?>
</tr>  